# Get a list of all payouts for the merchant

This API is used to indicate if there are payouts available after a payout run.
If there are no payouts for any reason, API will indicate it in the response by returning an empty list..

Endpoint: GET /v3/reconciliation/payouts
Version: 3.0.1
Security: JWS-Request-Signature

## Query parameters:

  - `size` (integer)
    the size of the page to be returned in list requests.

  - `page` (integer)
    zero-based page index in list requests.

  - `date` (string)
    The date in yyyy-MM-dd format for which the list of payouts should be returned. If not provided, current date in UTC will be used.

## Response 200 fields (application/json):

  - `size` (integer, required)
    the total number of elements in the current page of this response

  - `totalPages` (integer, required)
    the total number of pages in the response

  - `totalElements` (integer, required)
    the total number of elements in the response

  - `number` (integer, required)
    the current page number

  - `payouts` (array, required)
    a list of payouts. If the list is empty, then there were no payouts made.

  - `payouts.payoutId` (string, required)
    The unique identifier associated with the payout if a pay-out was successfully created

  - `payouts.merchantId` (string, required)
    The merchant id used during aggregation of the payout run

  - `payouts.bulkId` (string, required)
    The bulk id used during aggregation of the of the payout run if available,
if not NONE would be sent as default

  - `payouts.iban` (string, required)
    The IBAN in (ISO 13616) format used during aggregation of the payout run and
this will be used to payout to the merchant

  - `payouts.payoutStatus` (string, required)
    * _SUCCEEDED_ - Payout was successfully processed
* _FAILED_ - Payout failed.
    Enum: "SUCCEEDED", "FAILED"

  - `payouts.payoutDate` (string, required)
    timestamp, when payout was created in UTC

  - `payouts.payoutCurrency` (string, required)
    currency code. Only EUR is supported [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217)
    Enum: "EUR"

  - `payouts.totalPayments` (integer, required)
    The total number of payments included in the payout

  - `payouts.totalRefunds` (integer, required)
    The total number of refunds included in the payout

  - `payouts.totalPaymentAmount` (integer, required)
    The total payment amount in cents contained in the payout.

  - `payouts.totalRefundAmount` (integer, required)
    The total refund amount in cents contained in the payout.

  - `payouts.payoutAmount` (integer, required)
    Total amount in cents paid out the to merchant

## Response 400 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 401 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 403 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message

## Response 500 fields (application/json):

  - `code` (string, required)
    Error code

  - `message` (string, required)
    Error message


## Response 503 fields
